package models

import (
   // "gorm.io/gorm"

	"go-admin/common/models"
    "time"
)

type OrgMatch struct {
    models.Model
    
    LeagueId string `json:"leagueId" gorm:"type:bigint(20);comment:LeagueId"` 
    DivisionId string `json:"divisionId" gorm:"type:bigint(20);comment:DivisionId"` 
    SeasonId string `json:"seasonId" gorm:"type:bigint(20);comment:SeasonId"` 
    ClubId string `json:"clubId" gorm:"type:bigint(20);comment:ClubId"` 
    TeamId string `json:"teamId" gorm:"type:bigint(20);comment:TeamId"` 
    Status string `json:"status" gorm:"type:tinyint(1);comment:比赛状态 1 未开始 2 比赛中 3 已结束"` 
    Rounds string `json:"rounds" gorm:"type:varchar(60);comment:轮次"` 
    Grouping string `json:"grouping" gorm:"type:varchar(60);comment:分组"` 
    MatchStartTime time.Time `json:"matchStartTime" gorm:"type:datetime;comment:比赛开始时间"` 
    MatchEndTime time.Time `json:"matchEndTime" gorm:"type:datetime;comment:比赛结束时间"` 
    TeamAId string `json:"teamAId" gorm:"type:bigint(20);comment:a队id"` 
    TeamBId string `json:"teamBId" gorm:"type:bigint(20);comment:b队id"` 
    TeamAScore string `json:"teamAScore" gorm:"type:bigint(20);comment:a队比分"` 
    TeamBScore string `json:"teamBScore" gorm:"type:bigint(20);comment:b队比分"` 
    TeamAIntegral string `json:"teamAIntegral" gorm:"type:bigint(20);comment:a队积分"` 
    TeamBIntegral string `json:"teamBIntegral" gorm:"type:bigint(20);comment:a队积分"` 
    models.ModelTime
    models.ControlBy
}

func (OrgMatch) TableName() string {
    return "org_match"
}

func (e *OrgMatch) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgMatch) GetId() interface{} {
	return e.Id
}